Bug 476576 - gnome-keyring-daemon-wrapper continually annoys me
gnome-keyring-daemon-wrapper continually annoys me
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 15:25 EST by Need Real Name
Modified: 2009-01-22 12:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 17:09:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-12-15 15:25:45 EST
When I run ssh-add, gnome-keyring-daemon-wrapper pops up and prompts me for a password.

I could understand this happening if I ssh to a box, but I am not, I am running a completely separate ssh agent, so I don't know why gnome is joining in!
Comment 1 Yanko Kaneti 2008-12-17 09:34:43 EST
$ gconftool-2 -s -t bool /apps/gnome-keyring/daemon-components/ssh false

should help you I guess
Comment 2 Need Real Name 2008-12-17 15:21:57 EST
Thanks, but I don't want to disable gnome-keyring-daemon, I want it to behave.

I am not sshing to a remote box with no unlocked key available, it would make sense in this case.

What I am doing is using ssh-agent to store an unlocked key. g-k-d should not be interfering in this case. This is why I reported the bug.
Comment 3 Need Real Name 2009-01-02 11:16:01 EST
It's just occurred to me that a program unexpectedly asking for the password to my public key might not be simply a bug - it might be a security issue.
Marking as security sensitive.
Comment 4 Tomas Hoger 2009-01-22 10:43:02 EST
(In reply to comment #3)
> It's just occurred to me that a program unexpectedly asking for the password to
> my public key might not be simply a bug - it might be a security issue.
> Marking as security sensitive.

This is more an issue of a safe UI design, rather than a real vulnerability.  If you're running untrusted programs that you expect to try to steal sensitive data, you may have bigger problem already.

Marking this public again, so it's easier for anyone to suggest how this can be improved if it's deemed requiring improvement.
Comment 5 Need Real Name 2009-01-22 12:00:04 EST
The problem was that of expectations: I am using a command line app (ssh-add), and a gui app pops up asking for a passphrase. Very odd.

It doesn't seem to do this any more, I guess someone changed the behaviour.

Note You need to log in before you can comment on or make changes to this bug.